<!DOCTYPE html>
<html lang="cs">
<head>
<meta charset= "utf-8">
<title>Projekt č.1, Zadání č.2</title>
<style>
    body {
        width: 50em;
        margin: 0 auto;
        font-family: Tahoma, Verdana, Arial, sans-serif;    
}
</style>
</head>
<body style="background:lightgrey">
<h1 style="text-align: center">Projekt č.2 - Přidělování adres, DHCPv6, DUID</h1>
<p style="text-align: center">Autor: Matěj Berger</p>
<hr>
<h2>Přidelování adres</h2>
<h3>Bezstavová konfigurace SLAAC</h3>
<p>
Náhrada DHCP serveru<br>
Nastevení adres pomocí RA<br>
Příznaky M, O<br>
</p>

<h3>Stavová konfigurace DHCPv6</h3>
<p>
DHCPv6 je šíťový protokol IPv6
Vychází verze DHCP pro IPv4.
</p>

<p>Přínáší, ale pár vylepšení např.:</p>
<ul>
<li>Více adres na rozhraní zařízení</li>
<li>Multicast adresy</li>
<li>DUID (DHCP unique identifier) identifikace</li>
</ul>

<h4>Komunikace DHCPv6</h4>
<p>
Oznámení RA (Router Advertisment)<br>
Příznaky M, O<br>
Požadavek pomocí multicast adres<br>
Přidělení adres<br>
</p>

<h4>Konfigurace DHCPv6 server</h4>
<pre>
sudo apt-get install isc-dhcp-server<br>
sudo vim /etc/dhcp/dhcpd6.conf<br>
subnet6 2001:cafe:cafe:cafe:cafe::/64 {<br>
range6 2001:cafe:cafe:cafe::100 2001:cafe:cafe:cafe::200;<br>
option dhcp6.name-servers 2001:4860:4860::8888, 2001:4860:4860::8844;<br>
option dhcp6.domain-search "vsb.cz"
</pre>


<h3>DHCP Unique Identifier</h3>
<p>
Náhrada MAC adress<br>
DUID unikátní identifikátor o délce 128 bitů.<br>
DUID + IAID (Identity Association Identifier)<br> 
Změna DUID identifikátoru
</p>

<p>
Druhy vytvoření DUID:
</p>

<ul>
<li>Identifikátor je odvozený z MAC adresy a časového razítka</li>
<li>Identifikátor je daný výrobcem</li>
<li>Vytvořen pomocí adresy linkové vrstvy</li>
</ul>

<h3>Zdroje</h3>
<ul>
<li>
<a href="https://www.abclinuxu.cz/clanky/architektura-ipv6-konfigurace-adres-a-objevovani-sousedu#stavova-automaticka-konfigurace-dhcp">
abclinuxu.cz</a>
</li>
<li>
<a href="https://www.lupa.cz/clanky/ipv6-myty-a-skutecnost-dil-iv-podpora-autokonfigurace/">
Lupa.cz</a>
</li>
<li>
<a href="https://blog.root.cz/oskar/prakticke-problemy-s-ipv6-cast-druha/">
Root.cz</a>
</li>
<li>
<a href="https://en.wikipedia.org/wiki/DHCPv6">
Wikipedia</a>
</li>
<li>
<a href="https://martinuvzivot.cz/jak-nakonfigurovat-dhcpv6-server-v-linuxu/">
Konfigurace DHCP serveru</a>
</li>

</ul>

</body>
</html>

